//------------------------------------------------------------------------------
//  Author:    	MXF Team
//  Comment:	MXF_TK : Redefine exported functions of the DLL.
//
//  The following convention is used for defining parameters and retrun values:
//      in : input parameter (will be used for computation in the function)
//      out : output parameter (will be modified by the function call)
//      in-out : input parameter that may be modified by the function call.
//      free : MXFTk user is reponsible for the deletion of this parameter
//             unless it is passed as a parameter of another function without 
//             the "free" tag.
//
// Copyright (c) 2008 OPENCUBE. All rights reserved.
// -----------------------------------------------------------------------------
#ifndef OC_redef_HPP
#define OC_redef_HPP

#define CopyTimecodeInterface			mxfunc01
#define FreeConcreteMaterialInterface		mxfunc02
#define FreeEvtrFileInterface			mxfunc03
#define FreeMetadataInterface			mxfunc04
#define FreeMetadataMaterialInterface		mxfunc05
#define FreeMxfFileInterface			mxfunc06
#define FreeOp1aFileInterface			mxfunc07
#define FreePropertyInterface			mxfunc08
#define FreeTimecodeInterface			mxfunc09
#define FreeTimecodeMaterialInterface		mxfunc10
#define FreeUmidInterface			mxfunc11
#define FreeValueInterface			mxfunc12
#define InitMXF_TK				mxfunc13
#define NewConcreteMaterialInterface		mxfunc14
#define NewEvtrFileInterface			mxfunc15
#define NewMetadataInterfaceByLabel		mxfunc16
#define NewMetadataInterfaceByXML		mxfunc17
#define NewMetadataMaterialInterface		mxfunc18
#define NewMxfFileInterface			mxfunc19
#define NewOp1aFileInterface			mxfunc20
#define NewPropertyInterface			mxfunc21
#define NewTimecodeInterface			mxfunc22
#define NewTimecodeMaterialInterface		mxfunc23
#define NewUmidInterfaceByArray			mxfunc24
#define NewUmidInterfaceByString		mxfunc25
#define NewValueInterface			mxfunc26
#define SetDictionary				mxfunc27
#define iso7_to_utf16				mxfunc28
#define utf16_to_iso7				mxfunc29
#define source_clip_cast			mxfunc30
#define dm_source_clip_cast			mxfunc31
#define dm_segment_cast				mxfunc32
#define NewTimecodeComponentInterface		mxfunc33
#define GetEmptyLocatorInterface		mxfunc34
#define FreeLocatorInterface			mxfunc35
#define NewRationalInterface			mxfunc36
#define	FreeRationalInterface			mxfunc37
#define NewStreamMaterialInterface		mxfunc38
#define NewUmid64InterfaceByArray		mxfunc39
#define NewUmid64InterfaceByString		mxfunc40
#define FreeUmid64Interface			mxfunc41
#define GetEmptyTrackListInterface		mxfunc42
#define FreeTrackListInterface			mxfunc43
#define NewOp1aStreamInterface			mxfunc44
#define NewEvtrStreamInterface			mxfunc45
#define NewMxfStreamInterface			mxfunc46
#define NewOpAtomFileInterface			mxfunc47
#define NewOpAtomStreamInterface		mxfunc48
#define FreeOpAtomFileInterface			mxfunc49
#define NewOpAtomAssemblerInterface 		mxfunc50
#define FreeOpAtomAssemblerInterface 		mxfunc51
#define GetEmptyMxfFileListInterface 		mxfunc52
#define FreeMxfFileListInterface 		mxfunc53
#define GetMxfErrorHandlerInterface 		mxfunc54
#define NewTimecodeInterfaceByValue 		mxfunc55
#define NewXdcamProxyFileInterface		mxfunc56
#define NewXdcamProxyStreamInterface		mxfunc57
#define FreeXdcamProxyFileInterface		mxfunc58
#define NewXdcamDvFileInterface			mxfunc59
#define NewXdcamDvStreamInterface		mxfunc60
#define FreeXdcamDvFileInterface		mxfunc61
#define NewXdcamImxFileInterface		mxfunc62
#define NewXdcamImxStreamInterface		mxfunc63
#define FreeXdcamImxFileInterface		mxfunc64
#define NewP2Shot                   		mxfunc65
#define NewPartialRestoreMxfFileInterface	mxfunc66
#define NewPartialRestoreMxfStreamInterface	mxfunc67
#define BuildP2XML				mxfunc68
#define NewOp1bFileInterface			mxfunc69
#define NewOp1bStreamInterface			mxfunc70
#define FreeOp1bFileInterface			mxfunc71
#define NewOp2aFileInterface			mxfunc72
#define NewOp2aStreamInterface			mxfunc73
#define FreeOp2aFileInterface			mxfunc74
#define NewOp2bFileInterface			mxfunc75
#define NewOp2bStreamInterface			mxfunc76
#define FreeOp2bFileInterface			mxfunc77
#define UpdateAndFreeMxfFileInterface 		mxfunc78
#define NewP2ShotFromStream			mxfunc79
#define ExtractAesToWave			mxfunc80
#define BuildP2XMLBuffer			mxfunc81
#define WaitEndNewP2Shot                        mxfunc82
#define NewMxfFileDescriptorInterface                   mxfunc83
#define FreeMxfFileDescriptorInterface                  mxfunc84
#define NewMxfGenericPictureEssenceDescriptorInterface  mxfunc85
#define FreeMxfGenericPictureEssenceDescriptorInterface mxfunc86
#define NewMxfCDCIPictureEssenceDescriptorInterface     mxfunc87
#define FreeMxfCDCIPictureEssenceDescriptorInterface    mxfunc88
#define NewMxfMpeg2VideoDescriptorInterface             mxfunc89
#define FreeMxfMpeg2VideoDescriptorInterface            mxfunc90
#define NewMxfRGBAPictureEssenceDescriptorInterface     mxfunc91
#define FreeMxfRGBAPictureEssenceDescriptorInterface    mxfunc92
#define NewMxfGenericSoundEssenceDescriptorInterface    mxfunc93
#define FreeMxfGenericSoundEssenceDescriptorInterface   mxfunc94
#define NewMxfWaveAudioEssenceDescriptorInterface       mxfunc95
#define FreeMxfWaveAudioEssenceDescriptorInterface      mxfunc96
#define NewMxfAes3AudioEssenceDescriptorInterface       mxfunc97
#define FreeMxfAes3AudioEssenceDescriptorInterface      mxfunc98
#define NewMxfGenericDataEssenceDescriptorInterface     mxfunc99
#define FreeMxfGenericDataEssenceDescriptorInterface    mxfunc100
#define NewCryptedMaterialInterface                     mxfunc101
#define NewCryptedLocatorElementInterface               mxfunc102
#define FreeCryptedLocatorElementInterface              mxfunc103
#define GetEmptyCryptedLocatorInterface                 mxfunc104
#define FreeCryptedLocatorInterface                     mxfunc105
#define NewMxfJpeg2000PictureSubdescriptorInterface     mxfunc106
#define FreeMxfJpeg2000PictureSubdescriptorInterface    mxfunc107
#define ExtractCustomByKLV                              mxfunc108
#define ExtractAes8ToWave			        mxfunc109
#define NewOp1cFileInterface			        mxfunc110
#define NewOp1cStreamInterface			        mxfunc111
#define FreeOp1cFileInterface			        mxfunc112
#define NewOp2cFileInterface			        mxfunc113
#define NewOp2cStreamInterface			        mxfunc114
#define FreeOp2cFileInterface			        mxfunc115
#define NewOp3aFileInterface			        mxfunc116
#define NewOp3aStreamInterface			        mxfunc117
#define FreeOp3aFileInterface			        mxfunc118
#define NewOp3bFileInterface			        mxfunc119
#define NewOp3bStreamInterface			        mxfunc120
#define FreeOp3bFileInterface			        mxfunc121
#define NewOp3cFileInterface			        mxfunc122
#define NewOp3cStreamInterface			        mxfunc123
#define FreeOp3cFileInterface			        mxfunc124
#define NewExtConcreteMaterialInterface                 mxfunc125
#define NewOpZeroFileInterface			        mxfunc126
#define NewOpZeroStreamInterface			mxfunc127
#define NewDCPOpAtomFileInterface			mxfunc128
#define NewDCPOpAtomStreamInterface			mxfunc129
#define InitMXF_TK2				        mxfunc130
#define WrapWaveAsAes				        mxfunc131
#define WrapWaveAsAes8				        mxfunc132
#define NewDcp1FileInterface			        mxfunc133
#define NewDcp1StreamInterface		        	mxfunc134
#define FreeDcp1FileInterface		        	mxfunc135
#define CancelNewP2Shot                                 mxfunc136
#define ProgressNewP2Shot                               mxfunc137
#define NewXdcamHdFileInterface			        mxfunc138
#define NewXdcamHdStreamInterface		        mxfunc139
#define FreeXdcamHdFileInterface		        mxfunc140
#define NewMxfVbiDataEssenceDescriptorInterface         mxfunc141
#define FreeMxfVbiDataEssenceDescriptorInterface        mxfunc142
#define NewMxfAncDataEssenceDescriptorInterface         mxfunc143
#define FreeMxfAncDataEssenceDescriptorInterface        mxfunc144
#define SetBuffersSize                                  mxfunc145
#define FreeTimecodeComponentInterface                  mxfunc146
#define ForceRF64                                       mxfunc147
#define NewAvidOpAtomFileInterface                      mxfunc148
#define FreeAvidOpAtomFileInterface                     mxfunc149
#define NewAvidOpAtomStreamInterface                    mxfunc150
#define GetP2Format                                     mxfunc151
#endif
