//------------------------------------------------------------------------------
//  Author:    	MXF Team
//  Comment:	MXF_TK: This class defines the avid file interface.//			
//
//  The following convention is used for defining parameters and retrun values:
//      in : input parameter (will be used for computation in the function)
//      out : output parameter (will be modified by the function call)
//      in-out : input parameter that may be modified by the function call.
//      free : MXFTk user is reponsible for the deletion of this parameter
//             unless it is passed as a parameter of another function without 
//             the "free" tag.
//
// Copyright (c) 2008 OPENCUBE. All rights reserved.
// -----------------------------------------------------------------------------
#ifndef OC_I_AVID_HPP
#define OC_I_AVID_HPP

#include <mxf_tk/mxf_tk.hpp>
#include <mxf_tk/I_opatom_file.hpp>

namespace opencube
{
  namespace MXFTK_NAMESPACE
  { 
      
    /* I_avid_file:
     * An interface to create an avid file. avid files are files having the
     * same structure than those created by AVID (MXF OpAtom)
     */
    class I_avid_opatom_file : public I_opatom_file
    {
    private:
      
    };

    /*
     * Retrieves an avid_file interface.
     * I_avid_opatom_file** pointer to the newly allocated object
     * const char* path to the avid file to be written.
     * Call to flush() will effectively cause the creation of
     * the file.
     */
    extern "C" mxf_tk_API bool CALLING_CONVENTION NewAvidOpAtomFileInterface(I_avid_opatom_file** /* out free */, 
                                                                       const char* /* in free */);    

    extern "C" mxf_tk_API bool CALLING_CONVENTION FreeAvidOpAtomFileInterface(I_avid_opatom_file**);    

    extern "C" mxf_tk_API bool CALLING_CONVENTION NewAvidOpAtomStreamInterface(I_avid_opatom_file** pInterface, I_output_mxf_stream_task* tsk);
  }
}

#endif